<#import "partials/header.ftlh" as main>

<@main.renderWith scripts=[] styles=[]>
    <h4 class="text-center title">Все пользователи</h4>
    <div class="row gap-2">
        <#list users as user>
            <div style="width: 32%;">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Полное имя: ${user.fullname}</h5>
                        <h5 class="card-title">Никнейм: ${user.username}</h5>
                        <h6 class="card-subtitle mb-2 text-muted">Роль:</h6>
                        <form method="post" action="/admin/users/role">
                            <select name="role" class="form-control">
                                <#if user.role == "ADMIN">
                                    <option selected value="ADMIN">Админ</option>
                                <#else>
                                    <option value="ADMIN">Админ</option>
                                </#if>
                                <#if user.role == "USER">
                                    <option selected value="USER">Менеджер</option>
                                <#else>
                                    <option value="USER">Менеджер</option>
                                </#if>
                                <#if user.role == "UNKNOWN">
                                    <option selected value="UNKNOWN">Не имеет роли</option>
                                <#else>
                                    <option value="UNKNOWN">Не имеет роли</option>
                                </#if>
                            </select>
                            <input type="hidden" name="userId" value="${user.id}">
                            <button class="btn btn-primary">Изменить роль</button>
                        </form>

                        <p class="card-text">Позиция : ${user.position}</p>
                        <p class="card-text">Номер : ${user.phone}</p>
                        <form method="post" action="/admin/users/delete">
                            <input type="hidden" name="userId" value="${user.id}">
                            <button class="btn btn-danger">Удалить</button>
                        </form>
                    </div>
                </div>
            </div>
        </#list>
    </div>
</@main.renderWith>